/*  This file is part of epubgrep.
 *  Copyright © 2021 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBGREP_LOG_HPP
#define EPUBGREP_LOG_HPP

#include <boost/log/sources/global_logger_storage.hpp>
#include <boost/log/sources/logger.hpp>
#include <boost/log/trivial.hpp>

#define LOG BOOST_LOG_SEV

namespace epubgrep::log
{

using sev = boost::log::trivial::severity_level;

BOOST_LOG_INLINE_GLOBAL_LOGGER_DEFAULT(
    logger, boost::log::sources::severity_logger_mt<sev>)

void init();

} // namespace epubgrep::log

#endif // EPUBGREP_LOG_HPP
